#pragma once

namespace game
{

class CResourcesDownloader
{
public:
    static CResourcesDownloader& Instance();
    
    ~CResourcesDownloader();

    //      
    //  false,     
	bool DownloadFile(const char* _source_link);
    
	bool IsDownloading();

	bool IsError();
    
    //   
    //    DownloadFile    ,  
    //   ,    
    void StopDownload();
    
    //     
	void ResetDownload(const char* _source_link);
    
    //   
    int GetContentLength();

    //  
	int GetDownloadedLength();

	int GetResourcesSize(const char* _source_link);

    
private:
    // singleton
    CResourcesDownloader();
};

} // game