#pragma once

#include <jni.h>

namespace sf
{
namespace core
{

extern JavaVM* g_JavaVM;
extern JNIEnv* g_JavaEnv;
extern jobject g_GameThread;

jclass JNIGetClass(const char* _class);
jmethodID JNIGetObjectMethod(jclass _class, const char* _method, const char* _signature);
jmethodID JNIGetStaticMethod(jclass _class, const char* _method, const char* _signature);
jfieldID JNIGetStaticField(jclass _class, const char* _field, const char* _type);

} //core
} //sf